//
//  IGAHelper.hpp
//  Cocos2dxV3xPlugin
//
//  Created by Subhendu Sekhar Sahu on 29/03/17.
//
//

#ifndef IGAHelper_h
#define IGAHelper_h

#include <stdio.h>
#include "IGAAssetInfo.h"

namespace pokkt
{
    class IGAHelper
    {
        public:
        
        static void insertAssetInfo(std::string key, IGAAssetInfo *assetInfo);
        static std::map<std::string, IGAAssetInfo *> getIGAAssets();
        static IGAAssetInfo * getIGAAssetInfoWithKey(std::string assetKey);
        
        static void AddToPlaced(IGAAssetInfo *assetInfo, int count);
        static void AddToSeen(IGAAssetInfo *assetInfo, int count);
        static void AddToCollected(IGAAssetInfo *assetInfo, int count);
        static void SyncData();
        
    };
}

#endif
